var scriptName = "StepOldAAC";
var scriptAuthor = "Gamerb.class";
var scriptVersion = 1.0;

var entitypoint = Java.type("net.minecraft.entity.item.EntityMinecartTNT");
var BlockPos = Java.type("net.minecraft.util.BlockPos");
var EntityLiving = Java.type('net.minecraft.entity.EntityLivingBase');
var BlockPos = Java.type('net.minecraft.util.BlockPos');
var EntityPlayer = Java.type('net.minecraft.entity.player.EntityPlayer');
var C03PacketPlayer = Java.type('net.minecraft.network.play.client.C03PacketPlayer');

function Main() {
    this.getName = function() {
        return "Step(OldAAC)";
    }
    this.getCategory = function() {
        return "Movement";   
    }
    this.getDescription = function() {
        return "Step for OldAAC/hive";
    }
	this.onUpdate = function() {
		if(mc.thePlayer.isCollidedHorizontally && mc.thePlayer.onGround && !mc.thePlayer.isOnLadder()) {
            mc.thePlayer.sendQueue.addToSendQueue(new C03PacketPlayer.C04PacketPlayerPosition(mc.thePlayer.posX,mc.thePlayer.posY + 0.42,mc.thePlayer.posZ, mc.thePlayer.onGround));
            mc.thePlayer.sendQueue.addToSendQueue(new C03PacketPlayer.C04PacketPlayerPosition(mc.thePlayer.posX,mc.thePlayer.posY + 0.75,mc.thePlayer.posZ, mc.thePlayer.onGround));
			mc.thePlayer.stepHeight = 2;
		}else{
            mc.thePlayer.stepHeight = 0.56;
        }
	}
}



var Main = new Main();
var Client;

function onEnable() {
    Client = moduleManager.registerModule(Main);
}

function onDisable() {
   moduleManager.unregisterModule(Client);
}